claw::math::curve< C, Traits >::control_point Class Reference

The control_point class describes a control point of the curve, with the direction of the curve before and after the point. More...

`#include <curve.hpp>`

## Public Types

typedef C | coordinate_type
| The type of the coordinates of the curve.

## Public Member Functions

| control_point (const coordinate_type &p)
| control_point (const coordinate_type &p, const coordinate_type &input_direction, const coordinate_type &output_direction)
const coordinate_type & | get_position () const
const coordinate_type & | get_input_direction () const
const coordinate_type & | get_output_direction () const

## Detailed Description

template<typename C, typename Traits = coordinate_traits<C>>
class claw::math::curve< C, Traits >::control_point

The control_point class describes a control point of the curve, with the direction of the curve before and after the point.

Author
  Julien Jorge

Definition at line 67 of file curve.hpp.

## Member Typedef Documentation

## coordinate_type

template<typename C, typename Traits = coordinate_traits<C>>

typedef C claw::math::curve< C, Traits >::control_point::coordinate_type

The type of the coordinates of the curve.

Definition at line 71 of file curve.hpp.

The documentation for this class was generated from the following file:

- curve.hpp